#
%define debug_package %{nil}


%define kf5wayland_major 5
%define libkf5wayland %mklibname kf5wayland %{kf5wayland_major}
%define kf5wayland_devel %mklibname kf5wayland -d

Summary:        KWayland provides a Qt-style Client and Server library wrapper for the Wayland libraries
Name:           kwayland
Version: 		5.115.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org
#general buildrequires
#------------------------------------------------------
BuildRequires: lib64qt5base5-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5imageformats-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5bluetooth-devel


BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5designer-devel
BuildRequires: lib64qt5labstemplates-devel
BuildRequires: lib64qt5location-devel
BuildRequires: lib64qt5multimedia-devel
BuildRequires: lib64qt5multimediawidgets-devel
BuildRequires: lib64qt5nfc-devel
BuildRequires: lib64qt5opengl-devel
BuildRequires: lib64qt5platformsupport-devel
BuildRequires: lib64qt5positioning-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5quickparticles-devel
BuildRequires: lib64qt5quicktest-devel
BuildRequires: lib64qt5quickwidgets-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5scripttools-devel
BuildRequires: lib64qt5sensors-devel
BuildRequires: lib64qt5serialport-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5test-devel
BuildRequires: lib64qt5waylandclient-devel
BuildRequires: lib64qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------.kde.org/
BuildRequires:  lib64plasma-wayland-protocols-devel
BuildRequires:  lib64wayland-devel
BuildRequires:  mesa-devel

%description
KWayland provides a Qt-style Client and Server library wrapper for the Wayland libraries

%files
#--------------------------------------------------------------------
%_kf5_libdir/libKF5WaylandClient.so.%{kf5wayland_major}*
%_kf5_libdir/libKF5WaylandServer.so.%{kf5wayland_major}*
%{_datadir}/qlogging-*5/kwayland.*
#--------------------------------------------------------------------
%{_libexecdir}/org-kde-kf5-kwayland-testserver

%package -n %kf5wayland_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:		%name
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5wayland_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5wayland_devel
%_kf5_includedir/KWayland

%_kf5_libdir/cmake/KF5Wayland
%_libdir/qt5/mkspecs/modules/*.pri
%_kf5_libdir/*.so
/usr/lib64/pkgconfig/KF5WaylandClient.pc
#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DBUILD_TESTING=OFF -DBUILD_EXAMPLES=OFF
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

%changelog
* Sun Feb 11 2024 tex - 5.115.0-1pclos2024
- new version

* Sat Jan 13 2024 tex - 5.114.0-1pclos2024
- new version

* Fri Dec 15 2023 tex - 5.113.0-1pclos2023
- new version

* Sun Nov 12 2023 tex - 5.112.0-1pclos2023
- new version

* Fri Oct 27 2023 tex - 5.111.0-2pclos2023
- rebuild with source tarball

* Thu Oct 19 2023 tex - 5.111.0-1pclos2023
- new version

